Index: /XIOS/trunk/src/interface/fortran_attr/ifield_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ifield_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/ifield_attr.F90	(revision 966)
@@ -53,5 +53,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: valid_min
 
-      CALL xios(get_field_handle)(field_id,field_hdl)
+      CALL xios(get_field_handle) &
+      (field_id,field_hdl)
       CALL xios(set_field_attr_hdl_)   &
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
@@ -153,114 +154,141 @@
 
       IF (PRESENT(add_offset_)) THEN
-        CALL cxios_set_field_add_offset(field_hdl%daddr, add_offset_)
+        CALL cxios_set_field_add_offset &
+      (field_hdl%daddr, add_offset_)
       ENDIF
 
       IF (PRESENT(axis_ref_)) THEN
-        CALL cxios_set_field_axis_ref(field_hdl%daddr, axis_ref_, len(axis_ref_))
+        CALL cxios_set_field_axis_ref &
+      (field_hdl%daddr, axis_ref_, len(axis_ref_))
       ENDIF
 
       IF (PRESENT(compression_level_)) THEN
-        CALL cxios_set_field_compression_level(field_hdl%daddr, compression_level_)
+        CALL cxios_set_field_compression_level &
+      (field_hdl%daddr, compression_level_)
       ENDIF
 
       IF (PRESENT(default_value_)) THEN
-        CALL cxios_set_field_default_value(field_hdl%daddr, default_value_)
+        CALL cxios_set_field_default_value &
+      (field_hdl%daddr, default_value_)
       ENDIF
 
       IF (PRESENT(detect_missing_value_)) THEN
         detect_missing_value__tmp = detect_missing_value_
-        CALL cxios_set_field_detect_missing_value(field_hdl%daddr, detect_missing_value__tmp)
+        CALL cxios_set_field_detect_missing_value &
+      (field_hdl%daddr, detect_missing_value__tmp)
       ENDIF
 
       IF (PRESENT(domain_ref_)) THEN
-        CALL cxios_set_field_domain_ref(field_hdl%daddr, domain_ref_, len(domain_ref_))
+        CALL cxios_set_field_domain_ref &
+      (field_hdl%daddr, domain_ref_, len(domain_ref_))
       ENDIF
 
       IF (PRESENT(enabled_)) THEN
         enabled__tmp = enabled_
-        CALL cxios_set_field_enabled(field_hdl%daddr, enabled__tmp)
+        CALL cxios_set_field_enabled &
+      (field_hdl%daddr, enabled__tmp)
       ENDIF
 
       IF (PRESENT(field_ref_)) THEN
-        CALL cxios_set_field_field_ref(field_hdl%daddr, field_ref_, len(field_ref_))
+        CALL cxios_set_field_field_ref &
+      (field_hdl%daddr, field_ref_, len(field_ref_))
       ENDIF
 
       IF (PRESENT(freq_offset_)) THEN
-        CALL cxios_set_field_freq_offset(field_hdl%daddr, freq_offset_)
+        CALL cxios_set_field_freq_offset &
+      (field_hdl%daddr, freq_offset_)
       ENDIF
 
       IF (PRESENT(freq_op_)) THEN
-        CALL cxios_set_field_freq_op(field_hdl%daddr, freq_op_)
+        CALL cxios_set_field_freq_op &
+      (field_hdl%daddr, freq_op_)
       ENDIF
 
       IF (PRESENT(grid_path_)) THEN
-        CALL cxios_set_field_grid_path(field_hdl%daddr, grid_path_, len(grid_path_))
+        CALL cxios_set_field_grid_path &
+      (field_hdl%daddr, grid_path_, len(grid_path_))
       ENDIF
 
       IF (PRESENT(grid_ref_)) THEN
-        CALL cxios_set_field_grid_ref(field_hdl%daddr, grid_ref_, len(grid_ref_))
+        CALL cxios_set_field_grid_ref &
+      (field_hdl%daddr, grid_ref_, len(grid_ref_))
       ENDIF
 
       IF (PRESENT(indexed_output_)) THEN
         indexed_output__tmp = indexed_output_
-        CALL cxios_set_field_indexed_output(field_hdl%daddr, indexed_output__tmp)
+        CALL cxios_set_field_indexed_output &
+      (field_hdl%daddr, indexed_output__tmp)
       ENDIF
 
       IF (PRESENT(level_)) THEN
-        CALL cxios_set_field_level(field_hdl%daddr, level_)
+        CALL cxios_set_field_level &
+      (field_hdl%daddr, level_)
       ENDIF
 
       IF (PRESENT(long_name_)) THEN
-        CALL cxios_set_field_long_name(field_hdl%daddr, long_name_, len(long_name_))
+        CALL cxios_set_field_long_name &
+      (field_hdl%daddr, long_name_, len(long_name_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_set_field_name(field_hdl%daddr, name_, len(name_))
+        CALL cxios_set_field_name &
+      (field_hdl%daddr, name_, len(name_))
       ENDIF
 
       IF (PRESENT(operation_)) THEN
-        CALL cxios_set_field_operation(field_hdl%daddr, operation_, len(operation_))
+        CALL cxios_set_field_operation &
+      (field_hdl%daddr, operation_, len(operation_))
       ENDIF
 
       IF (PRESENT(prec_)) THEN
-        CALL cxios_set_field_prec(field_hdl%daddr, prec_)
+        CALL cxios_set_field_prec &
+      (field_hdl%daddr, prec_)
       ENDIF
 
       IF (PRESENT(read_access_)) THEN
         read_access__tmp = read_access_
-        CALL cxios_set_field_read_access(field_hdl%daddr, read_access__tmp)
+        CALL cxios_set_field_read_access &
+      (field_hdl%daddr, read_access__tmp)
       ENDIF
 
       IF (PRESENT(scalar_ref_)) THEN
-        CALL cxios_set_field_scalar_ref(field_hdl%daddr, scalar_ref_, len(scalar_ref_))
+        CALL cxios_set_field_scalar_ref &
+      (field_hdl%daddr, scalar_ref_, len(scalar_ref_))
       ENDIF
 
       IF (PRESENT(scale_factor_)) THEN
-        CALL cxios_set_field_scale_factor(field_hdl%daddr, scale_factor_)
+        CALL cxios_set_field_scale_factor &
+      (field_hdl%daddr, scale_factor_)
       ENDIF
 
       IF (PRESENT(standard_name_)) THEN
-        CALL cxios_set_field_standard_name(field_hdl%daddr, standard_name_, len(standard_name_))
+        CALL cxios_set_field_standard_name &
+      (field_hdl%daddr, standard_name_, len(standard_name_))
       ENDIF
 
       IF (PRESENT(ts_enabled_)) THEN
         ts_enabled__tmp = ts_enabled_
-        CALL cxios_set_field_ts_enabled(field_hdl%daddr, ts_enabled__tmp)
+        CALL cxios_set_field_ts_enabled &
+      (field_hdl%daddr, ts_enabled__tmp)
       ENDIF
 
       IF (PRESENT(ts_split_freq_)) THEN
-        CALL cxios_set_field_ts_split_freq(field_hdl%daddr, ts_split_freq_)
+        CALL cxios_set_field_ts_split_freq &
+      (field_hdl%daddr, ts_split_freq_)
       ENDIF
 
       IF (PRESENT(unit_)) THEN
-        CALL cxios_set_field_unit(field_hdl%daddr, unit_, len(unit_))
+        CALL cxios_set_field_unit &
+      (field_hdl%daddr, unit_, len(unit_))
       ENDIF
 
       IF (PRESENT(valid_max_)) THEN
-        CALL cxios_set_field_valid_max(field_hdl%daddr, valid_max_)
+        CALL cxios_set_field_valid_max &
+      (field_hdl%daddr, valid_max_)
       ENDIF
 
       IF (PRESENT(valid_min_)) THEN
-        CALL cxios_set_field_valid_min(field_hdl%daddr, valid_min_)
+        CALL cxios_set_field_valid_min &
+      (field_hdl%daddr, valid_min_)
       ENDIF
 
@@ -309,5 +337,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: valid_min
 
-      CALL xios(get_field_handle)(field_id,field_hdl)
+      CALL xios(get_field_handle) &
+      (field_id,field_hdl)
       CALL xios(get_field_attr_hdl_)   &
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
@@ -409,114 +438,141 @@
 
       IF (PRESENT(add_offset_)) THEN
-        CALL cxios_get_field_add_offset(field_hdl%daddr, add_offset_)
+        CALL cxios_get_field_add_offset &
+      (field_hdl%daddr, add_offset_)
       ENDIF
 
       IF (PRESENT(axis_ref_)) THEN
-        CALL cxios_get_field_axis_ref(field_hdl%daddr, axis_ref_, len(axis_ref_))
+        CALL cxios_get_field_axis_ref &
+      (field_hdl%daddr, axis_ref_, len(axis_ref_))
       ENDIF
 
       IF (PRESENT(compression_level_)) THEN
-        CALL cxios_get_field_compression_level(field_hdl%daddr, compression_level_)
+        CALL cxios_get_field_compression_level &
+      (field_hdl%daddr, compression_level_)
       ENDIF
 
       IF (PRESENT(default_value_)) THEN
-        CALL cxios_get_field_default_value(field_hdl%daddr, default_value_)
+        CALL cxios_get_field_default_value &
+      (field_hdl%daddr, default_value_)
       ENDIF
 
       IF (PRESENT(detect_missing_value_)) THEN
-        CALL cxios_get_field_detect_missing_value(field_hdl%daddr, detect_missing_value__tmp)
+        CALL cxios_get_field_detect_missing_value &
+      (field_hdl%daddr, detect_missing_value__tmp)
         detect_missing_value_ = detect_missing_value__tmp
       ENDIF
 
       IF (PRESENT(domain_ref_)) THEN
-        CALL cxios_get_field_domain_ref(field_hdl%daddr, domain_ref_, len(domain_ref_))
+        CALL cxios_get_field_domain_ref &
+      (field_hdl%daddr, domain_ref_, len(domain_ref_))
       ENDIF
 
       IF (PRESENT(enabled_)) THEN
-        CALL cxios_get_field_enabled(field_hdl%daddr, enabled__tmp)
+        CALL cxios_get_field_enabled &
+      (field_hdl%daddr, enabled__tmp)
         enabled_ = enabled__tmp
       ENDIF
 
       IF (PRESENT(field_ref_)) THEN
-        CALL cxios_get_field_field_ref(field_hdl%daddr, field_ref_, len(field_ref_))
+        CALL cxios_get_field_field_ref &
+      (field_hdl%daddr, field_ref_, len(field_ref_))
       ENDIF
 
       IF (PRESENT(freq_offset_)) THEN
-        CALL cxios_get_field_freq_offset(field_hdl%daddr, freq_offset_)
+        CALL cxios_get_field_freq_offset &
+      (field_hdl%daddr, freq_offset_)
       ENDIF
 
       IF (PRESENT(freq_op_)) THEN
-        CALL cxios_get_field_freq_op(field_hdl%daddr, freq_op_)
+        CALL cxios_get_field_freq_op &
+      (field_hdl%daddr, freq_op_)
       ENDIF
 
       IF (PRESENT(grid_path_)) THEN
-        CALL cxios_get_field_grid_path(field_hdl%daddr, grid_path_, len(grid_path_))
+        CALL cxios_get_field_grid_path &
+      (field_hdl%daddr, grid_path_, len(grid_path_))
       ENDIF
 
       IF (PRESENT(grid_ref_)) THEN
-        CALL cxios_get_field_grid_ref(field_hdl%daddr, grid_ref_, len(grid_ref_))
+        CALL cxios_get_field_grid_ref &
+      (field_hdl%daddr, grid_ref_, len(grid_ref_))
       ENDIF
 
       IF (PRESENT(indexed_output_)) THEN
-        CALL cxios_get_field_indexed_output(field_hdl%daddr, indexed_output__tmp)
+        CALL cxios_get_field_indexed_output &
+      (field_hdl%daddr, indexed_output__tmp)
         indexed_output_ = indexed_output__tmp
       ENDIF
 
       IF (PRESENT(level_)) THEN
-        CALL cxios_get_field_level(field_hdl%daddr, level_)
+        CALL cxios_get_field_level &
+      (field_hdl%daddr, level_)
       ENDIF
 
       IF (PRESENT(long_name_)) THEN
-        CALL cxios_get_field_long_name(field_hdl%daddr, long_name_, len(long_name_))
+        CALL cxios_get_field_long_name &
+      (field_hdl%daddr, long_name_, len(long_name_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_get_field_name(field_hdl%daddr, name_, len(name_))
+        CALL cxios_get_field_name &
+      (field_hdl%daddr, name_, len(name_))
       ENDIF
 
       IF (PRESENT(operation_)) THEN
-        CALL cxios_get_field_operation(field_hdl%daddr, operation_, len(operation_))
+        CALL cxios_get_field_operation &
+      (field_hdl%daddr, operation_, len(operation_))
       ENDIF
 
       IF (PRESENT(prec_)) THEN
-        CALL cxios_get_field_prec(field_hdl%daddr, prec_)
+        CALL cxios_get_field_prec &
+      (field_hdl%daddr, prec_)
       ENDIF
 
       IF (PRESENT(read_access_)) THEN
-        CALL cxios_get_field_read_access(field_hdl%daddr, read_access__tmp)
+        CALL cxios_get_field_read_access &
+      (field_hdl%daddr, read_access__tmp)
         read_access_ = read_access__tmp
       ENDIF
 
       IF (PRESENT(scalar_ref_)) THEN
-        CALL cxios_get_field_scalar_ref(field_hdl%daddr, scalar_ref_, len(scalar_ref_))
+        CALL cxios_get_field_scalar_ref &
+      (field_hdl%daddr, scalar_ref_, len(scalar_ref_))
       ENDIF
 
       IF (PRESENT(scale_factor_)) THEN
-        CALL cxios_get_field_scale_factor(field_hdl%daddr, scale_factor_)
+        CALL cxios_get_field_scale_factor &
+      (field_hdl%daddr, scale_factor_)
       ENDIF
 
       IF (PRESENT(standard_name_)) THEN
-        CALL cxios_get_field_standard_name(field_hdl%daddr, standard_name_, len(standard_name_))
+        CALL cxios_get_field_standard_name &
+      (field_hdl%daddr, standard_name_, len(standard_name_))
       ENDIF
 
       IF (PRESENT(ts_enabled_)) THEN
-        CALL cxios_get_field_ts_enabled(field_hdl%daddr, ts_enabled__tmp)
+        CALL cxios_get_field_ts_enabled &
+      (field_hdl%daddr, ts_enabled__tmp)
         ts_enabled_ = ts_enabled__tmp
       ENDIF
 
       IF (PRESENT(ts_split_freq_)) THEN
-        CALL cxios_get_field_ts_split_freq(field_hdl%daddr, ts_split_freq_)
+        CALL cxios_get_field_ts_split_freq &
+      (field_hdl%daddr, ts_split_freq_)
       ENDIF
 
       IF (PRESENT(unit_)) THEN
-        CALL cxios_get_field_unit(field_hdl%daddr, unit_, len(unit_))
+        CALL cxios_get_field_unit &
+      (field_hdl%daddr, unit_, len(unit_))
       ENDIF
 
       IF (PRESENT(valid_max_)) THEN
-        CALL cxios_get_field_valid_max(field_hdl%daddr, valid_max_)
+        CALL cxios_get_field_valid_max &
+      (field_hdl%daddr, valid_max_)
       ENDIF
 
       IF (PRESENT(valid_min_)) THEN
-        CALL cxios_get_field_valid_min(field_hdl%daddr, valid_min_)
+        CALL cxios_get_field_valid_min &
+      (field_hdl%daddr, valid_min_)
       ENDIF
 
@@ -587,5 +643,6 @@
       LOGICAL(KIND=C_BOOL) :: valid_min_tmp
 
-      CALL xios(get_field_handle)(field_id,field_hdl)
+      CALL xios(get_field_handle) &
+      (field_id,field_hdl)
       CALL xios(is_defined_field_attr_hdl_)   &
       ( field_hdl, add_offset, axis_ref, compression_level, default_value, detect_missing_value, domain_ref  &
@@ -731,135 +788,162 @@
 
       IF (PRESENT(add_offset_)) THEN
-        add_offset__tmp = cxios_is_defined_field_add_offset(field_hdl%daddr)
+        add_offset__tmp = cxios_is_defined_field_add_offset &
+      (field_hdl%daddr)
         add_offset_ = add_offset__tmp
       ENDIF
 
       IF (PRESENT(axis_ref_)) THEN
-        axis_ref__tmp = cxios_is_defined_field_axis_ref(field_hdl%daddr)
+        axis_ref__tmp = cxios_is_defined_field_axis_ref &
+      (field_hdl%daddr)
         axis_ref_ = axis_ref__tmp
       ENDIF
 
       IF (PRESENT(compression_level_)) THEN
-        compression_level__tmp = cxios_is_defined_field_compression_level(field_hdl%daddr)
+        compression_level__tmp = cxios_is_defined_field_compression_level &
+      (field_hdl%daddr)
         compression_level_ = compression_level__tmp
       ENDIF
 
       IF (PRESENT(default_value_)) THEN
-        default_value__tmp = cxios_is_defined_field_default_value(field_hdl%daddr)
+        default_value__tmp = cxios_is_defined_field_default_value &
+      (field_hdl%daddr)
         default_value_ = default_value__tmp
       ENDIF
 
       IF (PRESENT(detect_missing_value_)) THEN
-        detect_missing_value__tmp = cxios_is_defined_field_detect_missing_value(field_hdl%daddr)
+        detect_missing_value__tmp = cxios_is_defined_field_detect_missing_value &
+      (field_hdl%daddr)
         detect_missing_value_ = detect_missing_value__tmp
       ENDIF
 
       IF (PRESENT(domain_ref_)) THEN
-        domain_ref__tmp = cxios_is_defined_field_domain_ref(field_hdl%daddr)
+        domain_ref__tmp = cxios_is_defined_field_domain_ref &
+      (field_hdl%daddr)
         domain_ref_ = domain_ref__tmp
       ENDIF
 
       IF (PRESENT(enabled_)) THEN
-        enabled__tmp = cxios_is_defined_field_enabled(field_hdl%daddr)
+        enabled__tmp = cxios_is_defined_field_enabled &
+      (field_hdl%daddr)
         enabled_ = enabled__tmp
       ENDIF
 
       IF (PRESENT(field_ref_)) THEN
-        field_ref__tmp = cxios_is_defined_field_field_ref(field_hdl%daddr)
+        field_ref__tmp = cxios_is_defined_field_field_ref &
+      (field_hdl%daddr)
         field_ref_ = field_ref__tmp
       ENDIF
 
       IF (PRESENT(freq_offset_)) THEN
-        freq_offset__tmp = cxios_is_defined_field_freq_offset(field_hdl%daddr)
+        freq_offset__tmp = cxios_is_defined_field_freq_offset &
+      (field_hdl%daddr)
         freq_offset_ = freq_offset__tmp
       ENDIF
 
       IF (PRESENT(freq_op_)) THEN
-        freq_op__tmp = cxios_is_defined_field_freq_op(field_hdl%daddr)
+        freq_op__tmp = cxios_is_defined_field_freq_op &
+      (field_hdl%daddr)
         freq_op_ = freq_op__tmp
       ENDIF
 
       IF (PRESENT(grid_path_)) THEN
-        grid_path__tmp = cxios_is_defined_field_grid_path(field_hdl%daddr)
+        grid_path__tmp = cxios_is_defined_field_grid_path &
+      (field_hdl%daddr)
         grid_path_ = grid_path__tmp
       ENDIF
 
       IF (PRESENT(grid_ref_)) THEN
-        grid_ref__tmp = cxios_is_defined_field_grid_ref(field_hdl%daddr)
+        grid_ref__tmp = cxios_is_defined_field_grid_ref &
+      (field_hdl%daddr)
         grid_ref_ = grid_ref__tmp
       ENDIF
 
       IF (PRESENT(indexed_output_)) THEN
-        indexed_output__tmp = cxios_is_defined_field_indexed_output(field_hdl%daddr)
+        indexed_output__tmp = cxios_is_defined_field_indexed_output &
+      (field_hdl%daddr)
         indexed_output_ = indexed_output__tmp
       ENDIF
 
       IF (PRESENT(level_)) THEN
-        level__tmp = cxios_is_defined_field_level(field_hdl%daddr)
+        level__tmp = cxios_is_defined_field_level &
+      (field_hdl%daddr)
         level_ = level__tmp
       ENDIF
 
       IF (PRESENT(long_name_)) THEN
-        long_name__tmp = cxios_is_defined_field_long_name(field_hdl%daddr)
+        long_name__tmp = cxios_is_defined_field_long_name &
+      (field_hdl%daddr)
         long_name_ = long_name__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        name__tmp = cxios_is_defined_field_name(field_hdl%daddr)
+        name__tmp = cxios_is_defined_field_name &
+      (field_hdl%daddr)
         name_ = name__tmp
       ENDIF
 
       IF (PRESENT(operation_)) THEN
-        operation__tmp = cxios_is_defined_field_operation(field_hdl%daddr)
+        operation__tmp = cxios_is_defined_field_operation &
+      (field_hdl%daddr)
         operation_ = operation__tmp
       ENDIF
 
       IF (PRESENT(prec_)) THEN
-        prec__tmp = cxios_is_defined_field_prec(field_hdl%daddr)
+        prec__tmp = cxios_is_defined_field_prec &
+      (field_hdl%daddr)
         prec_ = prec__tmp
       ENDIF
 
       IF (PRESENT(read_access_)) THEN
-        read_access__tmp = cxios_is_defined_field_read_access(field_hdl%daddr)
+        read_access__tmp = cxios_is_defined_field_read_access &
+      (field_hdl%daddr)
         read_access_ = read_access__tmp
       ENDIF
 
       IF (PRESENT(scalar_ref_)) THEN
-        scalar_ref__tmp = cxios_is_defined_field_scalar_ref(field_hdl%daddr)
+        scalar_ref__tmp = cxios_is_defined_field_scalar_ref &
+      (field_hdl%daddr)
         scalar_ref_ = scalar_ref__tmp
       ENDIF
 
       IF (PRESENT(scale_factor_)) THEN
-        scale_factor__tmp = cxios_is_defined_field_scale_factor(field_hdl%daddr)
+        scale_factor__tmp = cxios_is_defined_field_scale_factor &
+      (field_hdl%daddr)
         scale_factor_ = scale_factor__tmp
       ENDIF
 
       IF (PRESENT(standard_name_)) THEN
-        standard_name__tmp = cxios_is_defined_field_standard_name(field_hdl%daddr)
+        standard_name__tmp = cxios_is_defined_field_standard_name &
+      (field_hdl%daddr)
         standard_name_ = standard_name__tmp
       ENDIF
 
       IF (PRESENT(ts_enabled_)) THEN
-        ts_enabled__tmp = cxios_is_defined_field_ts_enabled(field_hdl%daddr)
+        ts_enabled__tmp = cxios_is_defined_field_ts_enabled &
+      (field_hdl%daddr)
         ts_enabled_ = ts_enabled__tmp
       ENDIF
 
       IF (PRESENT(ts_split_freq_)) THEN
-        ts_split_freq__tmp = cxios_is_defined_field_ts_split_freq(field_hdl%daddr)
+        ts_split_freq__tmp = cxios_is_defined_field_ts_split_freq &
+      (field_hdl%daddr)
         ts_split_freq_ = ts_split_freq__tmp
       ENDIF
 
       IF (PRESENT(unit_)) THEN
-        unit__tmp = cxios_is_defined_field_unit(field_hdl%daddr)
+        unit__tmp = cxios_is_defined_field_unit &
+      (field_hdl%daddr)
         unit_ = unit__tmp
       ENDIF
 
       IF (PRESENT(valid_max_)) THEN
-        valid_max__tmp = cxios_is_defined_field_valid_max(field_hdl%daddr)
+        valid_max__tmp = cxios_is_defined_field_valid_max &
+      (field_hdl%daddr)
         valid_max_ = valid_max__tmp
       ENDIF
 
       IF (PRESENT(valid_min_)) THEN
-        valid_min__tmp = cxios_is_defined_field_valid_min(field_hdl%daddr)
+        valid_min__tmp = cxios_is_defined_field_valid_min &
+      (field_hdl%daddr)
         valid_min_ = valid_min__tmp
       ENDIF
